Refund a checkout
curl --request POST \
--url https://api.platnova.com/v1/checkout/{checkout_id}/refund \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"amount": 2500,
"reason": "Customer returned item",
"idempotency_key": "order-1042-refund-1"
}
'import requests
url = "https://api.platnova.com/v1/checkout/{checkout_id}/refund"
payload = {
"amount": 2500,
"reason": "Customer returned item",
"idempotency_key": "order-1042-refund-1"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 2500,
reason: 'Customer returned item',
idempotency_key: 'order-1042-refund-1'
})
};
fetch('https://api.platnova.com/v1/checkout/{checkout_id}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platnova.com/v1/checkout/{checkout_id}/refund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 2500,
'reason' => 'Customer returned item',
'idempotency_key' => 'order-1042-refund-1'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platnova.com/v1/checkout/{checkout_id}/refund"
payload := strings.NewReader("{\n \"amount\": 2500,\n \"reason\": \"Customer returned item\",\n \"idempotency_key\": \"order-1042-refund-1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.platnova.com/v1/checkout/{checkout_id}/refund")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 2500,\n \"reason\": \"Customer returned item\",\n \"idempotency_key\": \"order-1042-refund-1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platnova.com/v1/checkout/{checkout_id}/refund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 2500,\n \"reason\": \"Customer returned item\",\n \"idempotency_key\": \"order-1042-refund-1\"\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"id": "<string>",
"checkout_id": "<string>",
"payment_reference": "<string>",
"amount": 123,
"currency": "<string>",
"method": "<string>",
"status": "pending",
"reason": "<string>",
"failure_reason": "<string>",
"idempotency_key": "<string>",
"destination": {
"account_number": "<string>",
"bank_code": "<string>",
"account_name": "<string>"
},
"payout_reference": "<string>",
"provider_reference": "<string>",
"awaiting_approval": true,
"lines": [
{}
],
"partner_reference": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"error": [
"<unknown>"
],
"message": "<string>"
}{
"status": true,
"data": {
"id": "<string>",
"checkout_id": "<string>",
"payment_reference": "<string>",
"amount": 123,
"currency": "<string>",
"method": "<string>",
"status": "pending",
"reason": "<string>",
"failure_reason": "<string>",
"idempotency_key": "<string>",
"destination": {
"account_number": "<string>",
"bank_code": "<string>",
"account_name": "<string>"
},
"payout_reference": "<string>",
"provider_reference": "<string>",
"awaiting_approval": true,
"lines": [
{}
],
"partner_reference": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"error": [
"<unknown>"
],
"message": "<string>"
}{
"status": false,
"data": {
"code": "request_in_progress"
},
"error": [
"<string>"
],
"message": "<string>"
}{
"status": false,
"data": {
"code": "request_in_progress"
},
"error": [
"<string>"
],
"message": "<string>"
}{
"status": false,
"data": {
"code": "request_in_progress"
},
"error": [
"<string>"
],
"message": "<string>"
}{
"status": false,
"data": {
"code": "request_in_progress"
},
"error": [
"<string>"
],
"message": "<string>"
}{
"status": "error",
"message": "Validation failed",
"errors": {}
}{
"status": false,
"data": {
"code": "request_in_progress"
},
"error": [
"<string>"
],
"message": "<string>"
}Refunds
Refund a Checkout
POST
/
v1
/
checkout
/
{checkout_id}
/
refund
Refund a checkout
curl --request POST \
--url https://api.platnova.com/v1/checkout/{checkout_id}/refund \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"amount": 2500,
"reason": "Customer returned item",
"idempotency_key": "order-1042-refund-1"
}
'import requests
url = "https://api.platnova.com/v1/checkout/{checkout_id}/refund"
payload = {
"amount": 2500,
"reason": "Customer returned item",
"idempotency_key": "order-1042-refund-1"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 2500,
reason: 'Customer returned item',
idempotency_key: 'order-1042-refund-1'
})
};
fetch('https://api.platnova.com/v1/checkout/{checkout_id}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platnova.com/v1/checkout/{checkout_id}/refund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 2500,
'reason' => 'Customer returned item',
'idempotency_key' => 'order-1042-refund-1'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platnova.com/v1/checkout/{checkout_id}/refund"
payload := strings.NewReader("{\n \"amount\": 2500,\n \"reason\": \"Customer returned item\",\n \"idempotency_key\": \"order-1042-refund-1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.platnova.com/v1/checkout/{checkout_id}/refund")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 2500,\n \"reason\": \"Customer returned item\",\n \"idempotency_key\": \"order-1042-refund-1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platnova.com/v1/checkout/{checkout_id}/refund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 2500,\n \"reason\": \"Customer returned item\",\n \"idempotency_key\": \"order-1042-refund-1\"\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"id": "<string>",
"checkout_id": "<string>",
"payment_reference": "<string>",
"amount": 123,
"currency": "<string>",
"method": "<string>",
"status": "pending",
"reason": "<string>",
"failure_reason": "<string>",
"idempotency_key": "<string>",
"destination": {
"account_number": "<string>",
"bank_code": "<string>",
"account_name": "<string>"
},
"payout_reference": "<string>",
"provider_reference": "<string>",
"awaiting_approval": true,
"lines": [
{}
],
"partner_reference": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"error": [
"<unknown>"
],
"message": "<string>"
}{
"status": true,
"data": {
"id": "<string>",
"checkout_id": "<string>",
"payment_reference": "<string>",
"amount": 123,
"currency": "<string>",
"method": "<string>",
"status": "pending",
"reason": "<string>",
"failure_reason": "<string>",
"idempotency_key": "<string>",
"destination": {
"account_number": "<string>",
"bank_code": "<string>",
"account_name": "<string>"
},
"payout_reference": "<string>",
"provider_reference": "<string>",
"awaiting_approval": true,
"lines": [
{}
],
"partner_reference": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"error": [
"<unknown>"
],
"message": "<string>"
}{
"status": false,
"data": {
"code": "request_in_progress"
},
"error": [
"<string>"
],
"message": "<string>"
}{
"status": false,
"data": {
"code": "request_in_progress"
},
"error": [
"<string>"
],
"message": "<string>"
}{
"status": false,
"data": {
"code": "request_in_progress"
},
"error": [
"<string>"
],
"message": "<string>"
}{
"status": false,
"data": {
"code": "request_in_progress"
},
"error": [
"<string>"
],
"message": "<string>"
}{
"status": "error",
"message": "Validation failed",
"errors": {}
}{
"status": false,
"data": {
"code": "request_in_progress"
},
"error": [
"<string>"
],
"message": "<string>"
}Refund all or part of a paid checkout. See Refunds for rules, statuses and error codes.
Authorizations
API key for authentication.
Path Parameters
Body
application/json
Maximum string length:
255Maximum string length:
128Omit for the full refundable amount.
Show child attributes
Show child attributes
Maximum array length:
100Show child attributes
Show child attributes
Maximum string length:
128
